1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
19am__make_running_with_option = \
20  case $${target_option-} in \
21      ?) ;; \
22      *) echo "am__make_running_with_option: internal error: invalid" \
23              "target option '$${target_option-}' specified" >&2; \
24         exit 1;; \
25  esac; \
26  has_opt=no; \
27  sane_makeflags=$$MAKEFLAGS; \
28  if $(am__is_gnu_make); then \
29    sane_makeflags=$$MFLAGS; \
30  else \
31    case $$MAKEFLAGS in \
32      *\\[\ \	]*) \
33        bs=\\; \
34        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
35          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
36    esac; \
37  fi; \
38  skip_next=no; \
39  strip_trailopt () \
40  { \
41    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
42  }; \
43  for flg in $$sane_makeflags; do \
44    test $$skip_next = yes && { skip_next=no; continue; }; \
45    case $$flg in \
46      *=*|--*) continue;; \
47        -*I) strip_trailopt 'I'; skip_next=yes;; \
48      -*I?*) strip_trailopt 'I';; \
49        -*O) strip_trailopt 'O'; skip_next=yes;; \
50      -*O?*) strip_trailopt 'O';; \
51        -*l) strip_trailopt 'l'; skip_next=yes;; \
52      -*l?*) strip_trailopt 'l';; \
53      -[dEDm]) skip_next=yes;; \
54      -[JT]) skip_next=yes;; \
55    esac; \
56    case $$flg in \
57      *$$target_option*) has_opt=yes; break;; \
58    esac; \
59  done; \
60  test $$has_opt = yes
61am__make_dryrun = (target_option=n; $(am__make_running_with_option))
62am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
63pkgdatadir = $(datadir)/@PACKAGE@
64pkgincludedir = $(includedir)/@PACKAGE@
65pkglibdir = $(libdir)/@PACKAGE@
66pkglibexecdir = $(libexecdir)/@PACKAGE@
67am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
68install_sh_DATA = $(install_sh) -c -m 644
69install_sh_PROGRAM = $(install_sh) -c
70install_sh_SCRIPT = $(install_sh) -c
71INSTALL_HEADER = $(INSTALL_DATA)
72transform = $(program_transform_name)
73NORMAL_INSTALL = :
74PRE_INSTALL = :
75POST_INSTALL = :
76NORMAL_UNINSTALL = :
77PRE_UNINSTALL = :
78POST_UNINSTALL = :
79build_triplet = @build@
80host_triplet = @host@
81target_triplet = @target@
82subdir = src/missing
83DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
84	$(top_srcdir)/mkinstalldirs getaddrinfo.c inet_ntop.c \
85	$(top_srcdir)/depcomp
86ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87am__aclocal_m4_deps = $(top_srcdir)/src/missing/m4/salen.m4 \
88	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
89am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
90	$(ACLOCAL_M4)
91mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
92CONFIG_HEADER = $(top_builddir)/config.h
93CONFIG_CLEAN_FILES =
94CONFIG_CLEAN_VPATH_FILES =
95LIBRARIES = $(noinst_LIBRARIES)
96AR = ar
97ARFLAGS = cru
98AM_V_AR = $(am__v_AR_@AM_V@)
99am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
100am__v_AR_0 = @echo "  AR      " $@;
101am__v_AR_1 =
102libcompat_a_AR = $(AR) $(ARFLAGS)
103@NEED_LIBCOMPAT_TRUE@libcompat_a_DEPENDENCIES = $(LIBOBJS)
104am__libcompat_a_SOURCES_DIST = getaddrinfo.h
105am_libcompat_a_OBJECTS =
106libcompat_a_OBJECTS = $(am_libcompat_a_OBJECTS)
107AM_V_P = $(am__v_P_@AM_V@)
108am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
109am__v_P_0 = false
110am__v_P_1 = :
111AM_V_GEN = $(am__v_GEN_@AM_V@)
112am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
113am__v_GEN_0 = @echo "  GEN     " $@;
114am__v_GEN_1 =
115AM_V_at = $(am__v_at_@AM_V@)
116am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
117am__v_at_0 = @
118am__v_at_1 =
119DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
120depcomp = $(SHELL) $(top_srcdir)/depcomp
121am__depfiles_maybe = depfiles
122am__mv = mv -f
123COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
124	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
125AM_V_CC = $(am__v_CC_@AM_V@)
126am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
127am__v_CC_0 = @echo "  CC      " $@;
128am__v_CC_1 =
129CCLD = $(CC)
130LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
131AM_V_CCLD = $(am__v_CCLD_@AM_V@)
132am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
133am__v_CCLD_0 = @echo "  CCLD    " $@;
134am__v_CCLD_1 =
135SOURCES = $(libcompat_a_SOURCES)
136DIST_SOURCES = $(am__libcompat_a_SOURCES_DIST)
137RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
138	ctags-recursive dvi-recursive html-recursive info-recursive \
139	install-data-recursive install-dvi-recursive \
140	install-exec-recursive install-html-recursive \
141	install-info-recursive install-pdf-recursive \
142	install-ps-recursive install-recursive installcheck-recursive \
143	installdirs-recursive pdf-recursive ps-recursive \
144	tags-recursive uninstall-recursive
145am__can_run_installinfo = \
146  case $$AM_UPDATE_INFO_DIR in \
147    n|no|NO) false;; \
148    *) (install-info --version) >/dev/null 2>&1;; \
149  esac
150RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
151  distclean-recursive maintainer-clean-recursive
152am__recursive_targets = \
153  $(RECURSIVE_TARGETS) \
154  $(RECURSIVE_CLEAN_TARGETS) \
155  $(am__extra_recursive_targets)
156AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
157	distdir
158am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
159# Read a list of newline-separated strings from the standard input,
160# and print each of them once, without duplicates.  Input order is
161# *not* preserved.
162am__uniquify_input = $(AWK) '\
163  BEGIN { nonempty = 0; } \
164  { items[$$0] = 1; nonempty = 1; } \
165  END { if (nonempty) { for (i in items) print i; }; } \
166'
167# Make sure the list of sources is unique.  This is necessary because,
168# e.g., the same source file might be shared among _SOURCES variables
169# for different programs/libraries.
170am__define_uniq_tagged_files = \
171  list='$(am__tagged_files)'; \
172  unique=`for i in $$list; do \
173    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
174  done | $(am__uniquify_input)`
175ETAGS = etags
176CTAGS = ctags
177DIST_SUBDIRS = $(SUBDIRS)
178DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
179am__relativize = \
180  dir0=`pwd`; \
181  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
182  sed_rest='s,^[^/]*/*,,'; \
183  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
184  sed_butlast='s,/*[^/]*$$,,'; \
185  while test -n "$$dir1"; do \
186    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
187    if test "$$first" != "."; then \
188      if test "$$first" = ".."; then \
189        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
190        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
191      else \
192        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
193        if test "$$first2" = "$$first"; then \
194          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
195        else \
196          dir2="../$$dir2"; \
197        fi; \
198        dir0="$$dir0"/"$$first"; \
199      fi; \
200    fi; \
201    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
202  done; \
203  reldir="$$dir2"
204ACLOCAL = @ACLOCAL@
205AMTAR = @AMTAR@
206AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
207AUTOCONF = @AUTOCONF@
208AUTOHEADER = @AUTOHEADER@
209AUTOMAKE = @AUTOMAKE@
210AWK = @AWK@
211CC = @CC@
212CCDEPMODE = @CCDEPMODE@
213CFLAGS = @CFLAGS@
214CPP = @CPP@
215CPPFLAGS = @CPPFLAGS@
216CYGPATH_W = @CYGPATH_W@
217DEFS = @DEFS@
218DEPDIR = @DEPDIR@
219ECHO_C = @ECHO_C@
220ECHO_N = @ECHO_N@
221ECHO_T = @ECHO_T@
222EGREP = @EGREP@
223EXEEXT = @EXEEXT@
224GREP = @GREP@
225INSTALL = @INSTALL@
226INSTALL_DATA = @INSTALL_DATA@
227INSTALL_PROGRAM = @INSTALL_PROGRAM@
228INSTALL_SCRIPT = @INSTALL_SCRIPT@
229INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
230LDFLAGS = @LDFLAGS@
231LIBOBJS = @LIBOBJS@
232LIBS = @LIBS@
233LTLIBOBJS = @LTLIBOBJS@
234MAKEINFO = @MAKEINFO@
235MKDIR_P = @MKDIR_P@
236NETCPU_SOURCE = @NETCPU_SOURCE@
237OBJEXT = @OBJEXT@
238PACKAGE = @PACKAGE@
239PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
240PACKAGE_NAME = @PACKAGE_NAME@
241PACKAGE_STRING = @PACKAGE_STRING@
242PACKAGE_TARNAME = @PACKAGE_TARNAME@
243PACKAGE_URL = @PACKAGE_URL@
244PACKAGE_VERSION = @PACKAGE_VERSION@
245PATH_SEPARATOR = @PATH_SEPARATOR@
246RANLIB = @RANLIB@
247SET_MAKE = @SET_MAKE@
248SHELL = @SHELL@
249STRIP = @STRIP@
250VERSION = @VERSION@
251abs_builddir = @abs_builddir@
252abs_srcdir = @abs_srcdir@
253abs_top_builddir = @abs_top_builddir@
254abs_top_srcdir = @abs_top_srcdir@
255ac_ct_CC = @ac_ct_CC@
256am__include = @am__include@
257am__leading_dot = @am__leading_dot@
258am__quote = @am__quote@
259am__tar = @am__tar@
260am__untar = @am__untar@
261bindir = @bindir@
262build = @build@
263build_alias = @build_alias@
264build_cpu = @build_cpu@
265build_os = @build_os@
266build_vendor = @build_vendor@
267builddir = @builddir@
268datadir = @datadir@
269datarootdir = @datarootdir@
270docdir = @docdir@
271dvidir = @dvidir@
272exec_prefix = @exec_prefix@
273host = @host@
274host_alias = @host_alias@
275host_cpu = @host_cpu@
276host_os = @host_os@
277host_vendor = @host_vendor@
278htmldir = @htmldir@
279includedir = @includedir@
280infodir = @infodir@
281install_sh = @install_sh@
282libdir = @libdir@
283libexecdir = @libexecdir@
284localedir = @localedir@
285localstatedir = @localstatedir@
286mandir = @mandir@
287mkdir_p = @mkdir_p@
288oldincludedir = @oldincludedir@
289pdfdir = @pdfdir@
290prefix = @prefix@
291program_transform_name = @program_transform_name@
292psdir = @psdir@
293sbindir = @sbindir@
294sharedstatedir = @sharedstatedir@
295srcdir = @srcdir@
296sysconfdir = @sysconfdir@
297target = @target@
298target_alias = @target_alias@
299target_cpu = @target_cpu@
300target_os = @target_os@
301target_vendor = @target_vendor@
302top_build_prefix = @top_build_prefix@
303top_builddir = @top_builddir@
304top_srcdir = @top_srcdir@
305SUBDIRS = m4
306EXTRA_DIST = stdint.h inttypes.h
307@NEED_LIBCOMPAT_TRUE@noinst_LIBRARIES = libcompat.a
308@NEED_LIBCOMPAT_TRUE@libcompat_a_SOURCES = getaddrinfo.h
309@NEED_LIBCOMPAT_TRUE@libcompat_a_LIBADD = $(LIBOBJS) $(ALLOCA)
310all: all-recursive
311
312.SUFFIXES:
313.SUFFIXES: .c .o .obj
314$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
315	@for dep in $?; do \
316	  case '$(am__configure_deps)' in \
317	    *$$dep*) \
318	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
319	        && { if test -f $@; then exit 0; else break; fi; }; \
320	      exit 1;; \
321	  esac; \
322	done; \
323	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/missing/Makefile'; \
324	$(am__cd) $(top_srcdir) && \
325	  $(AUTOMAKE) --gnu src/missing/Makefile
326.PRECIOUS: Makefile
327Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
328	@case '$?' in \
329	  *config.status*) \
330	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
331	  *) \
332	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
333	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
334	esac;
335
336$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
337	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
338
339$(top_srcdir)/configure:  $(am__configure_deps)
340	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
341$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
342	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
343$(am__aclocal_m4_deps):
344
345clean-noinstLIBRARIES:
346	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
347
348libcompat.a: $(libcompat_a_OBJECTS) $(libcompat_a_DEPENDENCIES) $(EXTRA_libcompat_a_DEPENDENCIES)
349	$(AM_V_at)-rm -f libcompat.a
350	$(AM_V_AR)$(libcompat_a_AR) libcompat.a $(libcompat_a_OBJECTS) $(libcompat_a_LIBADD)
351	$(AM_V_at)$(RANLIB) libcompat.a
352
353mostlyclean-compile:
354	-rm -f *.$(OBJEXT)
355
356distclean-compile:
357	-rm -f *.tab.c
358
359@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getaddrinfo.Po@am__quote@
360@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/inet_ntop.Po@am__quote@
361
362.c.o:
363@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
364@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
365@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
366@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
367@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
368
369.c.obj:
370@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
371@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
372@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
373@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
374@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
375
376# This directory's subdirectories are mostly independent; you can cd
377# into them and run 'make' without going through this Makefile.
378# To change the values of 'make' variables: instead of editing Makefiles,
379# (1) if the variable is set in 'config.status', edit 'config.status'
380#     (which will cause the Makefiles to be regenerated when you run 'make');
381# (2) otherwise, pass the desired values on the 'make' command line.
382$(am__recursive_targets):
383	@fail=; \
384	if $(am__make_keepgoing); then \
385	  failcom='fail=yes'; \
386	else \
387	  failcom='exit 1'; \
388	fi; \
389	dot_seen=no; \
390	target=`echo $@ | sed s/-recursive//`; \
391	case "$@" in \
392	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
393	  *) list='$(SUBDIRS)' ;; \
394	esac; \
395	for subdir in $$list; do \
396	  echo "Making $$target in $$subdir"; \
397	  if test "$$subdir" = "."; then \
398	    dot_seen=yes; \
399	    local_target="$$target-am"; \
400	  else \
401	    local_target="$$target"; \
402	  fi; \
403	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
404	  || eval $$failcom; \
405	done; \
406	if test "$$dot_seen" = "no"; then \
407	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
408	fi; test -z "$$fail"
409
410ID: $(am__tagged_files)
411	$(am__define_uniq_tagged_files); mkid -fID $$unique
412tags: tags-recursive
413TAGS: tags
414
415tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
416	set x; \
417	here=`pwd`; \
418	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
419	  include_option=--etags-include; \
420	  empty_fix=.; \
421	else \
422	  include_option=--include; \
423	  empty_fix=; \
424	fi; \
425	list='$(SUBDIRS)'; for subdir in $$list; do \
426	  if test "$$subdir" = .; then :; else \
427	    test ! -f $$subdir/TAGS || \
428	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
429	  fi; \
430	done; \
431	$(am__define_uniq_tagged_files); \
432	shift; \
433	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
434	  test -n "$$unique" || unique=$$empty_fix; \
435	  if test $$# -gt 0; then \
436	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
437	      "$$@" $$unique; \
438	  else \
439	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
440	      $$unique; \
441	  fi; \
442	fi
443ctags: ctags-recursive
444
445CTAGS: ctags
446ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
447	$(am__define_uniq_tagged_files); \
448	test -z "$(CTAGS_ARGS)$$unique" \
449	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
450	     $$unique
451
452GTAGS:
453	here=`$(am__cd) $(top_builddir) && pwd` \
454	  && $(am__cd) $(top_srcdir) \
455	  && gtags -i $(GTAGS_ARGS) "$$here"
456cscopelist: cscopelist-recursive
457
458cscopelist-am: $(am__tagged_files)
459	list='$(am__tagged_files)'; \
460	case "$(srcdir)" in \
461	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
462	  *) sdir=$(subdir)/$(srcdir) ;; \
463	esac; \
464	for i in $$list; do \
465	  if test -f "$$i"; then \
466	    echo "$(subdir)/$$i"; \
467	  else \
468	    echo "$$sdir/$$i"; \
469	  fi; \
470	done >> $(top_builddir)/cscope.files
471
472distclean-tags:
473	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
474
475distdir: $(DISTFILES)
476	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
477	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
478	list='$(DISTFILES)'; \
479	  dist_files=`for file in $$list; do echo $$file; done | \
480	  sed -e "s|^$$srcdirstrip/||;t" \
481	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
482	case $$dist_files in \
483	  */*) $(MKDIR_P) `echo "$$dist_files" | \
484			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
485			   sort -u` ;; \
486	esac; \
487	for file in $$dist_files; do \
488	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
489	  if test -d $$d/$$file; then \
490	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
491	    if test -d "$(distdir)/$$file"; then \
492	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
493	    fi; \
494	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
495	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
496	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
497	    fi; \
498	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
499	  else \
500	    test -f "$(distdir)/$$file" \
501	    || cp -p $$d/$$file "$(distdir)/$$file" \
502	    || exit 1; \
503	  fi; \
504	done
505	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
506	  if test "$$subdir" = .; then :; else \
507	    $(am__make_dryrun) \
508	      || test -d "$(distdir)/$$subdir" \
509	      || $(MKDIR_P) "$(distdir)/$$subdir" \
510	      || exit 1; \
511	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
512	    $(am__relativize); \
513	    new_distdir=$$reldir; \
514	    dir1=$$subdir; dir2="$(top_distdir)"; \
515	    $(am__relativize); \
516	    new_top_distdir=$$reldir; \
517	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
518	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
519	    ($(am__cd) $$subdir && \
520	      $(MAKE) $(AM_MAKEFLAGS) \
521	        top_distdir="$$new_top_distdir" \
522	        distdir="$$new_distdir" \
523		am__remove_distdir=: \
524		am__skip_length_check=: \
525		am__skip_mode_fix=: \
526	        distdir) \
527	      || exit 1; \
528	  fi; \
529	done
530check-am: all-am
531check: check-recursive
532all-am: Makefile $(LIBRARIES)
533installdirs: installdirs-recursive
534installdirs-am:
535install: install-recursive
536install-exec: install-exec-recursive
537install-data: install-data-recursive
538uninstall: uninstall-recursive
539
540install-am: all-am
541	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
542
543installcheck: installcheck-recursive
544install-strip:
545	if test -z '$(STRIP)'; then \
546	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
547	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
548	      install; \
549	else \
550	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
551	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
552	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
553	fi
554mostlyclean-generic:
555
556clean-generic:
557
558distclean-generic:
559	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
560	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
561
562maintainer-clean-generic:
563	@echo "This command is intended for maintainers to use"
564	@echo "it deletes files that may require special tools to rebuild."
565clean: clean-recursive
566
567clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
568
569distclean: distclean-recursive
570	-rm -rf $(DEPDIR)
571	-rm -f Makefile
572distclean-am: clean-am distclean-compile distclean-generic \
573	distclean-tags
574
575dvi: dvi-recursive
576
577dvi-am:
578
579html: html-recursive
580
581html-am:
582
583info: info-recursive
584
585info-am:
586
587install-data-am:
588
589install-dvi: install-dvi-recursive
590
591install-dvi-am:
592
593install-exec-am:
594
595install-html: install-html-recursive
596
597install-html-am:
598
599install-info: install-info-recursive
600
601install-info-am:
602
603install-man:
604
605install-pdf: install-pdf-recursive
606
607install-pdf-am:
608
609install-ps: install-ps-recursive
610
611install-ps-am:
612
613installcheck-am:
614
615maintainer-clean: maintainer-clean-recursive
616	-rm -rf $(DEPDIR)
617	-rm -f Makefile
618maintainer-clean-am: distclean-am maintainer-clean-generic
619
620mostlyclean: mostlyclean-recursive
621
622mostlyclean-am: mostlyclean-compile mostlyclean-generic
623
624pdf: pdf-recursive
625
626pdf-am:
627
628ps: ps-recursive
629
630ps-am:
631
632uninstall-am:
633
634.MAKE: $(am__recursive_targets) install-am install-strip
635
636.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
637	check-am clean clean-generic clean-noinstLIBRARIES \
638	cscopelist-am ctags ctags-am distclean distclean-compile \
639	distclean-generic distclean-tags distdir dvi dvi-am html \
640	html-am info info-am install install-am install-data \
641	install-data-am install-dvi install-dvi-am install-exec \
642	install-exec-am install-html install-html-am install-info \
643	install-info-am install-man install-pdf install-pdf-am \
644	install-ps install-ps-am install-strip installcheck \
645	installcheck-am installdirs installdirs-am maintainer-clean \
646	maintainer-clean-generic mostlyclean mostlyclean-compile \
647	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
648	uninstall-am
649
650
651# Tell versions [3.59,3.63) of GNU make to not export all variables.
652# Otherwise a system limit (for SysV at least) may be exceeded.
653.NOEXPORT:
654